package nsdb;
final public class NucFeatureWriterListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.NucFeatureWriter[] value;

	public NucFeatureWriterListHolder ()
	{
	}
	public NucFeatureWriterListHolder (nsdb.NucFeatureWriter[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return NucFeatureWriterListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = NucFeatureWriterListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		NucFeatureWriterListHelper.write(out,value);
	}
}
